View Issue Details

IDProjectCategoryView StatusLast Update
0003979FreeCADBugpublic2019-06-15 21:55
ReporterGlouGlouAssigned Towmayer 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.19 
Target Version0.19Fixed in Version0.19 
Summary0003979: Pocket with mode "up to face" doesn't work correctly
DescriptionPocket on one face only with "up to face" mode, while "through all" works.

https://forum.freecadweb.org/viewtopic.php?f=3&t=36461

OS: Windows 10
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.19.16653 (Git)
Build type: Release
Branch: master
Hash: aaae82970461c10b76281f4e4454ab086b5f7f21
Python version: 2.7.14
Qt version: 4.8.7
Coin version: 4.0.0a
OCC version: 7.2.0
Locale: French/France (fr_FR)
TagsNo tags attached.

Activities

GlouGlou

2019-05-17 19:12

reporter  

Capture.JPG (28,700 bytes)
Capture.JPG (28,700 bytes)
onehole.FCStd (16,129 bytes)

GlouGlou

2019-05-17 19:22

reporter   ~0013115

here too.

Capture-2.JPG (41,388 bytes)
Capture-2.JPG (41,388 bytes)

wmayer

2019-06-15 21:54

administrator   ~0013219

Fix committed to master branch.

Related Changesets

FreeCAD: master 972ec50f

2019-06-15 21:54:10

wmayer

Details Diff
fixes 0003979: Pocket with mode 'up to face' doesn't work correctly Affected Issues
0003979
mod - src/Mod/PartDesign/App/FeaturePad.cpp Diff File
mod - src/Mod/PartDesign/App/FeaturePocket.cpp Diff File
mod - src/Mod/PartDesign/App/FeatureSketchBased.cpp Diff File
mod - src/Mod/PartDesign/App/FeatureSketchBased.h Diff File

Issue History

Date Modified Username Field Change
2019-05-17 19:12 GlouGlou New Issue
2019-05-17 19:12 GlouGlou File Added: Capture.JPG
2019-05-17 19:12 GlouGlou File Added: onehole.FCStd
2019-05-17 19:22 GlouGlou File Added: Capture-2.JPG
2019-05-17 19:22 GlouGlou Note Added: 0013115
2019-05-18 16:12 uwestoehr Severity feature => minor
2019-06-15 21:54 wmayer Changeset attached => FreeCAD master 972ec50f
2019-06-15 21:54 wmayer Note Added: 0013219
2019-06-15 21:54 wmayer Assigned To => wmayer
2019-06-15 21:54 wmayer Status new => closed
2019-06-15 21:54 wmayer Resolution open => fixed
2019-06-15 21:55 wmayer Fixed in Version => 0.19
2019-06-15 21:55 wmayer Target Version => 0.19